ur_rna.GUITester.GuiTools.Matchers

## Class ClassMatcher

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.ClassMatcher

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Direct Known Subclasses:
    ClassMatcher.MultiClassMatcher, ClassMatcher.SingleClassMatcher

      public abstract class ClassMatcher
      extends ComposableBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassMatcher.MultiClassMatcher`
    `static class` | `ClassMatcher.SingleClassMatcher`

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowHidden`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassMatcher()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `equalsClass(java.lang.Class expected, java.lang.Class actual)`
    `static java.lang.Class` | `findClass(java.lang.String typeName)`
    `abstract java.lang.String` | `getClassNames()`
    `static ClassMatcher` | `of(java.lang.Class... classes)`
    `static ClassMatcher` | `of(java.lang.Class c)`
    `static ClassMatcher` | `ofType(java.lang.String typeName)`
    `java.lang.String` | `toString()`
    `static java.lang.Class` | `tryGetClass(java.lang.String fullyQualifiedName)`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, getChildMatchers, identity, inverse, inverse, or, self, simplify, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface abbot.finder.Matcher

      `matches`

- - ### Field Detail

    - #### allowHidden

          public boolean allowHidden

  - ### Constructor Detail

    - #### ClassMatcher

          public ClassMatcher()

  - ### Method Detail

    - #### equalsClass

          public static boolean equalsClass(java.lang.Class expected,
                                            java.lang.Class actual)

    - #### findClass

          public static java.lang.Class findClass(java.lang.String typeName)

    - #### getClassNames

          public abstract java.lang.String getClassNames()

    - #### of

          public static ClassMatcher of(java.lang.Class... classes)

    - #### of

          public static ClassMatcher of(java.lang.Class c)

    - #### ofType

          public static ClassMatcher ofType(java.lang.String typeName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ComposableBase`

    - #### tryGetClass

          public static java.lang.Class tryGetClass(java.lang.String fullyQualifiedName)